FreeBSD Port: libX11-1.2.1_1,1

Adam Vande More amvandemore at gmail.com
Mon Sep 28 00:11:35 UTC 2009


2009/9/27 Webdeal AS - Jørn Skjerven <jorn at webdealhosting.com>

> Hi!
>
> I have some problems after upgrading our system from 7.0-RELEASE to
> 7.2-RELEASE.
>
> libX11 will not build any more, and throws the following to me:
>
> configure.ac:22: the top level
> configure.ac:22: warning: AC_CACHE_VAL(lt_prog_compiler_pic_works, ...):
> suspicious cache-id, must contain _cv_ to be cached
> aclocal.m4:1455: AC_LIBTOOL_COMPILER_OPTION is expanded from...
> aclocal.m4:5421: AC_LIBTOOL_PROG_COMPILER_PIC is expanded from...
> configure.ac:22: warning: AC_CACHE_VAL(lt_prog_compiler_pic_works_CXX,
> ...): suspicious cache-id, must contain _cv_ to be cached
> aclocal.m4:3483: _LT_AC_LANG_CXX_CONFIG is expanded from...
> aclocal.m4:3482: AC_LIBTOOL_LANG_CXX_CONFIG is expanded from...
> aclocal.m4:2533: _LT_AC_TAGCONFIG is expanded from...
> configure.ac:22: warning: AC_CACHE_VAL(lt_prog_compiler_pic_works_F77,
> ...): suspicious cache-id, must contain _cv_ to be cached
> aclocal.m4:4546: _LT_AC_LANG_F77_CONFIG is expanded from...
> aclocal.m4:4545: AC_LIBTOOL_LANG_F77_CONFIG is expanded from...
> configure.ac:22: warning: AC_CACHE_VAL(lt_prog_compiler_pic_works_GCJ,
> ...): suspicious cache-id, must contain _cv_ to be cached
> aclocal.m4:4646: _LT_AC_LANG_GCJ_CONFIG is expanded from...
> aclocal.m4:4645: AC_LIBTOOL_LANG_GCJ_CONFIG is expanded from...
> checking for a BSD-compatible install... /usr/bin/install -c -o root -g
> wheel
> checking whether build environment is sane... yes
> checking for a thread-safe mkdir -p... ./install-sh -c -d
> checking for gawk... no
> checking for mawk... no
> checking for nawk... nawk
> checking whether make sets $(MAKE)... yes
> checking whether to enable maintainer-specific portions of Makefiles... no
> checking if xorg-macros used to generate configure is at least 1.2...
> yes, 1.2.1
> ./configure: 2763: Syntax error: word unexpected (expecting ")")
> ===>  Script "configure" failed unexpectedly.
> Please report the problem to x11 at FreeBSD.org [maintainer] and attach the
> "/usr/ports/x11/libX11/work/libX11-1.2/config.log" including the output of
> the failure of your make command. Also, it might be a good idea to provide
> an overview of all packages installed on your system (e.g. an `ls
> /var/db/pkg`).
> *** Error code 1
>
> Stop in /usr/ports/x11/libX11.
>
> These packages are installed:
>

Usually this is the result of an outdated dependency.  Have you done
anything like a

portmaster x11/libX11

?
-- 
Adam Vande More


More information about the freebsd-ports mailing list